summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakov Smolic <jakov.smolic@sartura.hr>2020-11-16 00:22:40 +0100
committerDavid Seifert <soap@gentoo.org>2020-11-16 00:22:40 +0100
commit8d8e8d31730f990f83fb9676accf97a8bca18b34 (patch)
tree45ac93872c79adf9b08c3334205c22e03e916d29 /app-dicts/libydpdict/libydpdict-1.0.4.ebuild
parentdev-python/graphviz: Bump to 0.15 (diff)
downloadgentoo-8d8e8d31730f990f83fb9676accf97a8bca18b34.tar.gz
gentoo-8d8e8d31730f990f83fb9676accf97a8bca18b34.tar.bz2
gentoo-8d8e8d31730f990f83fb9676accf97a8bca18b34.zip
app-dicts/libydpdict: disable static libs
Closes: https://bugs.gentoo.org/726498 Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr> Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'app-dicts/libydpdict/libydpdict-1.0.4.ebuild')
-rw-r--r--app-dicts/libydpdict/libydpdict-1.0.4.ebuild9
1 files changed, 8 insertions, 1 deletions
diff --git a/app-dicts/libydpdict/libydpdict-1.0.4.ebuild b/app-dicts/libydpdict/libydpdict-1.0.4.ebuild
index 76fd75b2888..aff0de2c35a 100644
--- a/app-dicts/libydpdict/libydpdict-1.0.4.ebuild
+++ b/app-dicts/libydpdict/libydpdict-1.0.4.ebuild
@@ -2,6 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
inherit autotools
DESCRIPTION="Library for handling the Collins Dictionary database"
@@ -12,12 +13,18 @@ LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
+DOCS=( AUTHORS )
+
src_prepare() {
default
eautoreconf
}
+src_configure() {
+ econf --disable-static
+}
+
src_install() {
default
- dodoc AUTHORS
+ find "${ED}" -name '*.la' -delete || die
}